PBXExtens
Get available exten roles
Fetch available exten roles for your Cloud PBX.
The PBX subscription unique id can be retrieved from GET /api/v1/pbx/subscriptions, which returns the list of PBX subscriptions assigned to the current customer.
Response contains a list of roles, this data can then be used during exten creation for role assignment.
If your Cloud PBX has not been configured yet, you will receive a status code 425 Too Early (refer to responses).
Path Parameters
id*integer
PBX subscription id
Range
1 <= valueHeader Parameters
Authorization*string
Your API token
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/pbx/subscriptions/1/extens/roles" \ -H "Authorization: string"{
"code": 0,
"data": {
"roles": [
{
"role_id": 0,
"title": "string"
}
]
},
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}